Subject: Restoring default privileges on objects

From: Stuart McGraw <[email-masked]>
Date: Mon, 28 Aug 2023 19:23:48 -0600

Hello,

The Postgresql docs on object privileges,
   https://www.postgresql.org/docs/14/ddl-priv.html
say this in regard to the output of the psql \dp command:

   | If the “Access privileges” column is empty for a given object, it
   | means the object has default privileges (that is, its privileges
   | entry in the relevant system catalog is null). [...] The first GRANT
   | or REVOKE on an object will instantiate the default privileges
   | (producing, for example, miriam=arwdDxt/miriam) and then modify them
   | per the specified request.

If I've done a GRANT or REVOKE on some of the tables, how do I restore
the default privileges so that the “Access privileges” appears empty
again?  I re-granted what I think are the default privileges but the
"Access privileges" column for that table contains "user1=arwdDxt/user1"
rather than being blank.  This is Postgresql-14.

Thanks for any suggestions!